
#define DEBUG

#ifndef TRUE
#define TRUE  1
#define FALSE 0
#endif

#ifndef max
#define max(x,y)    ((x>y)?(x):(y))
#define min(x,y)    ((x<y)?(x):(y))
#endif

#define VI_OTHER       0
#define VI_PSEUDO_8    1
#define VI_TRUECOLOR   2

/*------------------------------------------------------------------------*/

struct COMMAND_INFO {
  int           index;
  char          filename[256];
  char          overview[256];
  int           overindex;
  char          title[32];

  Widget        command;
  XtWorkProcId  workproc;
  int           work_count;
  FILE          *fp;
  XImage        *ximage;
  GC            gc;
  Pixmap        pixmap;
  int           evenerr[3*(96+10)];
  int           odderr[3*(96+10)];
};

struct SHELL_INFO {
  int           index;
  char          filename[256];
  Widget        shell,picture;
  int           orientation;
  FILE          *fp;

  XtWorkProcId  workproc;
  int           work_count;
  Pixmap        pixmap;
  GC            gc,wgc;
  XImage        *ximage;
  unsigned char fgray[768];
  unsigned char fblue[192];
  unsigned char fred[192];
  int           evenerr[3*(384+10)];
  int           odderr[3*(384+10)];

  int           x,y;
  int           x1,x2,y1,y2;
};

struct PROC_INFO {
  char          filename[256];
  XtInputId     inputproc;
  int           fd;
  int           count;
  int           first;
};

/*- main.c ---------------------------------------------------------------*/

extern XtAppContext      app_context;
extern Widget            app_shell;
extern Widget            box;

extern unsigned long     grays[16];
extern unsigned long     colors[128];
extern char              parse_options[512];
extern char              parse_viewer[512];
extern int               use_colors;
extern int               load_thumbnails;
extern int               name_thumbnails;
extern int               which_visual;

extern int               wait_for_exit;
extern int               proc_hpcdtoppm;
extern int               proc_viewer;

void SetStatus(char *text);
void CancelCB(Widget widget, XtPointer client_data, XtPointer calldata);

long TrueColorMap(int r, int g, int b);

/*- thumbnails.c ---------------------------------------------------------*/

extern Widget            *shells;

void CdromOkCB(Widget widget, XtPointer client_data, XtPointer calldata);
void FilesOkCB(Widget widget, XtPointer client_data, XtPointer calldata);
void LoadFileThumbnails(int found, char **namelist);

/*- image.c --------------------------------------------------------------*/

void ImageButtonCB(Widget widget, XtPointer client_data, XtPointer calldata);

/*- process.c ------------------------------------------------------------*/

void run(char *options);
void sig_init(void);

/*- dither.c -------------------------------------------------------------*/

void ditherline(unsigned char*, unsigned long*, int, int, int*, int*);

/*- lookup.c -------------------------------------------------------------*/

extern int gray_LUT[256];
extern int blue_LUT[256];
extern int red_LUT[256];
extern unsigned char gray2_LUT[256];

unsigned char gamma_LUT[256];
void init_gamma_LUT(float value);
