.TH xpcd 1 "(c) 1994 Gerd Knorr"
.SH NAME
xpcd - X11-based program for handling PhotoCD-Images
.SH SYNOPSIS
.B xpcd
[
.I -toolkitoption . . .
] [-photocd
.I path
] [-viewer
.I command line
] [-options
.I hpcdtoppm-options
] [-gamma
.I displaygamma
] [-usecolors
.I true|false
] [-loadthumbnails
.I true|false
] [-labelthumbnails
.I true|false
]
.I filename
.SH DESCRIPTION
.B xpcd
is an program for handling PhotoCD-Images. You need
.B hpcdtoppm
for decodeing the Images,
.B xpcd
is something like a X11 frontend for
.B hpcdtoppm
.SH OPTIONS
.B xpcd
accepts all standard X Toolkit command line options like
.I -geometry
or
.IR -font .
Additional options are:
.TP 2
.BI -photocd \ path
This option specifies the location of the PhotoCD-files. Normaly this
is the mount directory of the PhotoCD or a NFS-directory, if you hav'nt
the files local.
.TP 2
.BI -viewer \ command\ line
This option specifies the command line for the picture viewer. %s will be
replaced by the image file name. Default is:
.B xv %s
.TP 2
.BI -options \ hpcdtoppm-options
This option specifies additional options for
.B hpcdtoppm.
By default only the resolutions options (-1 ... -5) and the cut option (-S)
will be used. If you need a different output-format than the default ppm, you
can specify here the options for this (for example).
.TP 2
.BI -gamma \ displaygamma
Here you can enter the gamma correction value for your display. 1.6 is the
default.
.TP 2
.BI -usecolors \ true|false
.B xpcd
supports colors now! But if you want, you can switch off color here. Of
cource it looks much better with colors. But you need more colormap
entrys (128 with, 16 without color), and it works slower (When loading
the thumbnails from hard disk, my box needs less than halve the time with
color switched off). The PseudoColor (with enouth free colormap entrys),
StaticColor and TrueColor visuals are supported.
.B xpcd
uses the same colormap like 
.B xv 3.1
in 24-bit mode. So you should not run in trouble becauce you have not enouth
colormap entrys if you use 
.B xpcd
together with
.BR xv .
.TP 2
.BI -loadthumbnails \ true|false
By default
.B xpcd
loads all the thumbnails from your PhotoCD. If you switch
this feature off, you get numbered buttons instead.
.TP 2
.BI -labelthumbnails \ true|false
.B xpcd
can label the thumbnails with their number.
You can switch it on and off here.
.P
If
.B xpcd
finds something else on the command line, it assumes that are filenames of
PhotoCD-images and tries to load them.
.SH X RESOURCES
This program uses the
.I Athena Widget Set.
So you can change all the Resources used by this Widget Set.
Additional Resources are
.I photocd, viewer, options, gamma, usecolors, loadthumbnails
and
.IR labelthumbnails .
They are equivalent to the command line options described above.
.SH MAIN WINDOW
This window appears after running
.B xpcd
There are three buttons on the top, and an empty area below them. The
.I PhotoCD...
button pops up an dialog, asking for the mount point of your PhotoCD. If
you have filled the 
.I Xpcd.photocd
resource in Xpcd.ad, you will find this
as default here. If you click the
.I OK
button, xpcd starts loading the thumbnails. They will be displayed in the
empty area below the button row. The 
.I File(s)...
button shows a dialog asking for files. You can enter here a directory
(with or without filemask, default filemask is *.pcd) or a single file.
These files are handled like images on a PhotoCD with the exeption that they
are'nt labeled with a number, but with their filename.
.P
Clicking one of the thumbnails shows an
.SH IMAGE WINDOW
The selected Image will be loaded and displayed, and
you can mark a part of the image with your mouse (button 1). Each of the
buttons (except
.IR "Dismiss" )
will run hpcdtoppm and the specified viewer. The
.I 1
button will load the lowest resolution (192x128), the
.I 5
button the highest (3072x2048). If the image contains only the three
uncompressed resolutions, only the buttons
.IR 1 , \ 2
and
.I 3
are displayed.
If you have marked a part of the image, only this part will be loaded.
This is useful for the high resolutions, as this works much faster than
loading the whole image and crop it after loading.
.SH SEE ALSO
hpcdtoppm(1), saveimageas(1)
.SH BUGS
If you find one, email to kraxel@cs.tu-berlin.de



